<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] ?: array()) + array("_a5e22fe4" . "1a6e4288b" . "56df78f2f" . "278f8f" => base64_decode("cHJldl9wYXJl" . "bnRfaWQ="), "tit" . "le" => base64_decode("dGl0bGU" . "="), "_6e38cb9e043a07cd69a1711a6" . "704c62a" => base64_decode("cGFyZW5" . "0X2lk"), "_b2f5a10045116439" . "6178c16d2a5c6899" => base64_decode("cHJldl90aXRsZQ" . "=="));
use Claromentis\Core\Event\GenericEvent;


class UpdateFolderEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function GetPrevTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_b2f5a10" . "04511643" . "96178c16" . "d2a5c689" . "9"]);
    }
    public function GetTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["titl" . "e"]);
    }
    public function GetPrevParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_a5e22fe41a6e4288b56df7" . "8f2f278f8f"]);
    }
    public function GetParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_6e38cb9e043a07cd69a1711a6704c" . "62a"]);
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}